//--------------------------------------------------------------------------
//  Copyright (c) 1996 Next Software, Inc., All Rights Reserved
//
//  No part of this code may be reproduced in any form, compiled
//  or source code, nor used for any purpose without the express
//  written permission of the copyright holder.
//
//  $Id: NSStringExtensions.h,v 1.1 1997/01/24 20:21:10 mmonegan Exp $
//--------------------------------------------------------------------------

#import <Foundation/Foundation.h>

@interface NSCharacterSet (whiteSpaceExtensions)
+ (NSCharacterSet *) isspaceCharacterSet;
@end

@interface NSMutableString (CVSExtensions)

- (void)deleteCharactersFromSet:(NSCharacterSet *)characterSet
                        atIndex:(unsigned)startingIndex
                        options:(unsigned)options;
- (void)deleteLeadingWhitespace;
- (void)deleteTrailingWhitespace;

@end

@interface NSString (CVSExtensions)

- (NSString *)stringByDeletingLeadingWhitespace;
- (NSString *)stringByDeletingTrailingWhitespace;

@end
