#ifndef _PBSCMDEFINES_H
    #define _PBSCMDEFINES_H

    #if defined(WIN32)

        //
        // For Windows
        //

        #ifndef _PBSCM_BUILDING_DLL
        #define _PBSCM_WINDOWS_DLL __declspec(dllimport)
        #else
        #define _PBSCM_WINDOWS_DLL __declspec(dllexport)
        #endif

        #if BUILDING_LIBRARY
            #define _PBSCM_WINDOWS_DLL  
        #endif

        #ifdef __cplusplus
        #define PBSCM_EXTERN _PBSCM_WINDOWS_DLL extern "C"
        #define PBSCM_PRIVATE_EXTERN extern "C"
        #else
        #define PBSCM_EXTERN _PBSCM_WINDOWS_DLL extern

        #define PBSCM_PRIVATE_EXTERN extern
        #endif

    #else

        //
        // For MACH and PDO
        //

        #ifdef __cplusplus
        // This isn't extern "C" because the compiler will not 
        // allow this if it has seen an extern "Objective-C"
        #define PBSCM_EXTERN extern
        #define PBSCM_PRIVATE_EXTERN __private_extern__
        #else
        #define PBSCM_EXTERN extern
        #define PBSCM_PRIVATE_EXTERN __private_extern__
        #endif

    #endif

#endif  
